
-- DROP TABLE tl_class_norm;




CREATE TABLE tl_class_norm (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    class_code varchar2(200) NULL,
    mean_score number(20,5) NULL,
    max_score number(20,5) NULL,
    min_score number(20,5) NULL,
    stddev_score number(20,5) NULL,
    left_mean_score number(20,5) NULL,
    right_mean_score number(20,5) NULL,
    wght_mean_score number(20,5) NULL,
    wght_stddev_score number(20,5) NULL,
    wght_left_mean_score number(20,5) NULL,
    wght_right_mean_score number(20,5) NULL,
    level_number number(12)  NULL
    );



ALTER TABLE tl_class_norm ADD    
    CONSTRAINT PK_tl_class_norm PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_class_norm_level_number 
    ON tl_class_norm (level_number);
